org.apache.lucene.luke.app.desktop.util

## Class TextAreaAppender.Builder<B extends TextAreaAppender.Builder<B>>

- java.lang.Object
- - org.apache.logging.log4j.core.filter.AbstractFilterable.Builder<B>
  - - org.apache.logging.log4j.core.appender.AbstractAppender.Builder<B>
    - - org.apache.logging.log4j.core.appender.AbstractOutputStreamAppender.Builder<B>
      - - org.apache.lucene.luke.app.desktop.util.TextAreaAppender.Builder<B>

Type Parameters:
  `B` - The type to build

All Implemented Interfaces:
  org.apache.logging.log4j.core.util.Builder<TextAreaAppender>

Enclosing class:
  TextAreaAppender

    public static class TextAreaAppender.Builder<B extends TextAreaAppender.Builder<B>>
    extends org.apache.logging.log4j.core.appender.AbstractOutputStreamAppender.Builder<B>
    implements org.apache.logging.log4j.core.util.Builder<TextAreaAppender>

Builds TextAreaAppender instances.

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TextAreaAppender` `build()`

### Methods inherited from class org.apache.logging.log4j.core.appender.AbstractOutputStreamAppender.Builder

`getBufferSize, isBufferedIo, isImmediateFlush, withBufferedIo, withBufferSize, withImmediateFlush`

### Methods inherited from class org.apache.logging.log4j.core.appender.AbstractAppender.Builder

`getConfiguration, getLayout, getName, getOrCreateLayout, getOrCreateLayout, isIgnoreExceptions, setConfiguration, setIgnoreExceptions, setLayout, setName, withConfiguration, withIgnoreExceptions, withLayout, withName`

### Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable.Builder

`asBuilder, getFilter, getPropertyArray, setFilter, setPropertyArray, withFilter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### build

    public TextAreaAppender build()

Specified by:
  `build` in interface `org.apache.logging.log4j.core.util.Builder<TextAreaAppender>`